> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/products/size-charts/get-size-chart.md).

# Get size chart

<mark style="color:green;">`GET`</mark> `https://app.ecwid.com/api/v3/{storeId}/sizecharts/{sizechartId}`&#x20;

### Required access scopes

Your app must have the following **access scopes** to make this request: `read_sizecharts`

### Path params

All path params are required.

| Param       | Type   | Description            |
| ----------- | ------ | ---------------------- |
| storeId     | number | Ecwid store ID.        |
| sizechartId | number | Internal sizechart ID. |

### Query params

All query params are optional.

<table><thead><tr><th width="160.01953125">Param</th><th width="99.859375">Type</th><th>Description</th></tr></thead><tbody><tr><td>enabled</td><td>boolean</td><td><code>true</code> - find only enabled charts<br><code>false</code> - find only disabled charts<br>omitted - enabled condition is ignored</td></tr><tr><td>createdFrom</td><td>string</td><td>Chart creation date/time (lower bound). Supported formats: UNIX timestamp, datetime. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>createdTo</td><td>string</td><td>Chart creation date/time (upper bound). Supported formats: UNIX timestamp, datetime. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>updatedFrom</td><td>string</td><td>Chart latest update date/time (lower bound). Supported formats: UNIX timestamp, datetime. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>updatedTo</td><td>string</td><td>Chart latest update date/time (upper bound). Supported formats: UNIX timestamp, datetime. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>sortBy</td><td>string</td><td><p>Sort results by one of the following:</p><ul><li><code>DATE_CREATED_ASC</code></li><li><code>DATE_CREATED_DESC</code></li><li><code>DATE_UPDATED_ASC</code></li><li><code>DATE_UPDATED_DESC</code></li></ul></td></tr><tr><td>offset</td><td>number</td><td><p>Offset from the beginning of the returned items list. Used when the response contains more items than <code>limit</code> allows to receive in one request.<br><br>Usually used to receive all items in several requests with multiple of a hundred, for example:</p><p><code>?offset=0</code> for the first request,</p><p><code>?offset=100</code>, for the second request,</p><p><code>?offset=200</code>, for the third request, etc</p></td></tr><tr><td>limit</td><td>number</td><td>Limit to the number of returned items. Maximum and default value (if not specified) is <code>100</code>.</td></tr></tbody></table>

### Headers

The **Authorization** header is required.

<table><thead><tr><th>Header</th><th width="252">Format</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td><code>Bearer secret_ab***cd</code></td><td>Access token of the application.</td></tr></tbody></table>

### Response JSON

A JSON object with the following fields:

| Field  | Type                             | Description                                                                                  |
| ------ | -------------------------------- | -------------------------------------------------------------------------------------------- |
| total  | number                           | Total number of found items (might be more than the number of returned items).               |
| offset | number                           | Offset from the beginning of the returned items list specified in the request.               |
| limit  | number                           | Maximum number of returned items specified in the request. Maximum and default value: `100`. |
| items  | array of objects [items](#items) | Detailed information about returned size sharts.                                             |

#### items

| Field                    | Type                                            | Description                                                                                                                                                                                                |
| ------------------------ | ----------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                       | number                                          | Size chart identifier.                                                                                                                                                                                     |
| enabled                  | boolean                                         | Whether the size chart is enabled or not.                                                                                                                                                                  |
| type                     | string                                          | <p>Type of the size chart:</p><ul><li><code>DRESS</code></li><li><code>JACKET</code></li><li><code>SHOES</code></li><li><code>TOP</code></li><li><code>BOTTOM</code></li><li><code>CUSTOM</code></li></ul> |
| name                     | string                                          | Name of the size chart.                                                                                                                                                                                    |
| nameTranslated           | object [#translations](#translations "mention") | Translations of the size chart name.                                                                                                                                                                       |
| content                  | string                                          | Content of the size chart.                                                                                                                                                                                 |
| contentTranslated        | object [#translations](#translations "mention") | Translations of the size chart content.                                                                                                                                                                    |
| targetCategories         | array of numbers                                | List of category IDs where this size chart is applied.                                                                                                                                                     |
| showForAllProducts       | boolean                                         | Whether to show this size chart for all products.                                                                                                                                                          |
| showForFrontpageCategory | boolean                                         | Whether to show this size chart for frontpage category.                                                                                                                                                    |
| createDate               | string                                          | Datetime when the size chart was created.                                                                                                                                                                  |
| updateDate               | string                                          | Datetime when the size chart was last updated.                                                                                                                                                             |
| createTimestamp          | string                                          | Size chart create UNIX timestamp.                                                                                                                                                                          |
| updateTimestamp          | string                                          | Size chart last update UNIX timestamp.                                                                                                                                                                     |

#### translations

Object with text field translations in the `"lang": "text"` format, where the `"lang"` is an ISO 639-1 language code. For example:

```
{
    "en": "Sample text",
    "nl": "Voorbeeldtekst"
}
```

Translations are available for all active store languages. Only the default language translations are returned if no other translations are provided for the field. Find active store languages with <mark style="color:green;">`GET`</mark> `/profile` request > `languages` > `enabledLanguages`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/products/size-charts/get-size-chart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
